HTTP: artifacts
Default control-plane operations. Complete OpenAPI schema · Authentication and tenancy.
GET /api/artifacts
Section titled “GET /api/artifacts”List Artifacts
Operation ID: list_artifacts_api_artifacts_get.
| Parameter | Location | Required | Schema |
|---|---|---|---|
limit |
query | False | {"type":"integer","maximum":500,"minimum":1,"default":100,"title":"Limit"} |
offset |
query | False | {"type":"integer","maximum":10000,"minimum":0,"default":0,"title":"Offset"} |
artifact_store_id |
query | False | {"anyOf":[{"type":"string"},{"type":"null"}],"title":"Artifact Store Id"} |
scope |
query | False | {"anyOf":[{"$ref":"#/components/schemas/ArtifactScope"},{"type":"null"}],"title":"Scope"} |
session_id |
query | False | {"anyOf":[{"type":"string"},{"type":"null"}],"title":"Session Id"} |
agent_name |
query | False | {"anyOf":[{"type":"string"},{"type":"null"}],"title":"Agent Name"} |
environment_name |
query | False | {"anyOf":[{"type":"string"},{"type":"null"}],"title":"Environment Name"} |
Responses
Section titled “Responses”{ "200": { "description": "Successful Response", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ArtifactsResponse" } } } }, "404": { "description": "The requested artifact store or artifact does not exist.", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ApiErrorResponse" } } } }, "409": { "description": "Registered artifact-store identifiers are not unique.", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ApiErrorResponse" } } } }, "500": { "description": "An artifact store is misconfigured or returned invalid data.", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ApiErrorResponse" } } } }, "503": { "description": "An artifact store is unavailable.", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ApiErrorResponse" } } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } }}Model declarations: ApiErrorResponse, ArtifactsResponse, HTTPValidationError.
GET /api/artifacts/{artifact_id}
Section titled “GET /api/artifacts/{artifact_id}”Get Artifact
Operation ID: get_artifact_api_artifacts__artifact_id__get.
| Parameter | Location | Required | Schema |
|---|---|---|---|
artifact_id |
path | True | {"type":"string","minLength":1,"title":"Artifact Id"} |
artifact_store_id |
query | False | {"anyOf":[{"type":"string"},{"type":"null"}],"title":"Artifact Store Id"} |
max_bytes |
query | False | {"type":"integer","maximum":262144,"minimum":1,"default":64000,"title":"Max Bytes"} |
Responses
Section titled “Responses”{ "200": { "description": "Successful Response", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ArtifactReadResponse" } } } }, "404": { "description": "The requested artifact store or artifact does not exist.", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ApiErrorResponse" } } } }, "409": { "description": "Registered artifact-store identifiers are not unique.", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ApiErrorResponse" } } } }, "500": { "description": "An artifact store is misconfigured or returned invalid data.", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ApiErrorResponse" } } } }, "503": { "description": "An artifact store is unavailable.", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ApiErrorResponse" } } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } }}Model declarations: ApiErrorResponse, ArtifactReadResponse, HTTPValidationError.
GET /api/artifacts/{artifact_id}/content
Section titled “GET /api/artifacts/{artifact_id}/content”Get Artifact Content
Operation ID: get_artifact_content_api_artifacts__artifact_id__content_get.
| Parameter | Location | Required | Schema |
|---|---|---|---|
artifact_id |
path | True | {"type":"string","minLength":1,"title":"Artifact Id"} |
artifact_store_id |
query | True | {"type":"string","minLength":1,"title":"Artifact Store Id"} |
disposition |
query | False | {"enum":["attachment","inline"],"type":"string","default":"attachment","title":"Disposition"} |
max_bytes |
query | False | {"type":"integer","maximum":268435456,"minimum":1,"default":268435456,"title":"Max Bytes"} |
Responses
Section titled “Responses”{ "200": { "description": "Complete artifact bytes. The response Content-Type reflects validated stored artifact metadata.", "content": { "application/octet-stream": { "schema": { "type": "string", "format": "binary" } } }, "headers": { "Content-Disposition": { "description": "Sanitized inline or attachment disposition and filename.", "schema": { "type": "string" } }, "X-Content-Type-Options": { "description": "Always nosniff.", "schema": { "type": "string", "enum": [ "nosniff" ] } }, "X-Cayu-Artifact-Id": { "description": "Sanitized artifact identifier.", "schema": { "type": "string" } }, "X-Cayu-Artifact-Store-Id": { "description": "Sanitized artifact-store identifier.", "schema": { "type": "string" } }, "Cache-Control": { "description": "Prevents authenticated artifact bytes from being cached.", "schema": { "type": "string", "enum": [ "private, no-store" ] } } } }, "413": { "description": "Artifact exceeds the direct content response limit.", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ApiErrorResponse" } } } }, "404": { "description": "The requested artifact store or artifact does not exist.", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ApiErrorResponse" } } } }, "409": { "description": "Registered artifact-store identifiers are not unique.", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ApiErrorResponse" } } } }, "500": { "description": "An artifact store is misconfigured or returned invalid data.", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ApiErrorResponse" } } } }, "503": { "description": "An artifact store is unavailable.", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ApiErrorResponse" } } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } }}Model declarations: ApiErrorResponse, HTTPValidationError.